refreshStats.Niche {galgo} | R Documentation

## Updates the internal values from the current population

### Description

Updates the internal values from the current population. It updates maxFitness, maxChromosomes, bestFitness, and bestChromosomes.

### Usage

    ## S3 method for class 'Niche'
    refreshStats(.O, ...)

### Value

Returns nothing.

### Author(s)

Victor Trevino. Francesco Falciani Group. University of Birmingham, U.K. http://www.bip.bham.ac.uk/bioinf

### References

Goldberg, David E. 1989 Genetic Algorithms in Search, Optimization and Machine Learning. Addison-Wesley Pub. Co. ISBN: 0201157675

### See Also

For more information see `Niche`. `*summary()`.

### Examples

      cr <- Chromosome(genes=newCollection(Gene(shape1=1, shape2=100),5))
      cr
      ni <- Niche(chromosomes=newRandomCollection(cr, 10))
      ni
      summary(ni) # not so much
      ni$fitness <- runif(10)  ## tricky fitness
      refreshStats(ni)
      summary(ni) # new updated values
      ni$fitness <- runif(10)  ## new tricky fitness
      refreshStats(ni)
      summary(ni) # may be some new updated values

[Package galgo version 1.4 Index]